package cz.moneta.test.dsl.cagw.api.cbl.psd.aisp.my;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.cagw.CaGwBuilder;
import cz.moneta.test.dsl.cagw.api.cbl.psd.aisp.my.accounts.Account;
import cz.moneta.test.dsl.cagw.api.cbl.psd.aisp.my.accounts.AccountsBuilder;
import cz.moneta.test.dsl.cagw.api.cbl.psd.aisp.my.accounts.AccountsWithParams;


public class MyBuilder extends CaGwBuilder {

    public MyBuilder(Harness harness) {
        super(harness);
    }

    public AccountsBuilder accounts() {
        return new AccountsBuilder(harness);
    }

    public Account prepareAccountsRequest() {
        return getBuilder(Account.class);
    }

    public AccountsWithParams prepareAccountsWithParamsRequest() {
        return getBuilder(AccountsWithParams.class);
    }

}